Subject: Re: bug#60101: 29.0.60; help-quick should use C-/ for undo

From: Philip Kaludercic <[email-masked]>
Date: Fri, 16 Dec 2022 19:18:24 +0000

Juri Linkov <[email-masked]> writes:

>> I think some general mechanism to associate preferred binding with keys
>> would be nice to have.  What I wonder is if this is general enough of a
>> use-case to be added to where-is-internal, or should this be fixed
>> inside of help-quick?
>
> In lisp/bindings.el its preferred binding is defined by this line:
>
>   (put 'undo :advertised-binding [?\C-x ?u])

That is good, but it only solves the problem by providing the means.
The other issue is figuring out how the advertised binding can
automatically be set to whatever is preferred on the current system.  Is
there a way to find out what keyboard layout is being used, or at least
what modifiers have to be pressed for a key to be input?